# Written for Podman 4.3.1 on 2024-06-21

[Unit]
Description=Planner podman container
Wants=network-online.target
After=network-online.target
RequiresMountsFor=%t/containers
StartLimitIntervalSec=10
StartLimitBurst=5

[Service]
Environment=PODMAN_SYSTEMD_UNIT=%n
EnvironmentFile=/etc/planner.environment

Restart=always
TimeoutStartSec=3m
TimeoutStopSec=70
ExecStartPre=/bin/rm -f \
  %t/%n.ctr-id
ExecStart=/usr/bin/podman run \
  --cidfile=%t/%n.ctr-id \
  --cgroups=no-conmon \
  --rm \
  --sdnotify=conmon \
  --replace \
  --name planner \
  -e PLANNER_* \
  -d \
  -p 127.0.0.1:8000:8000 \
  -v /run/postgresql:/run/postgresql \
  -v /run/clamav:/run/clamav \
  registry.gitlab.com/sea-watch.org/planner/planner:{{ image_tag | mandatory }} \
    sh -c ' \
      set -x \
      && django-admin migrate \
      && django-admin shell -c "from django.contrib.auth.models import User; \
        User.objects.filter(username=\\\"{{ admin_user }}\\\").exists() \
          or User.objects.create_superuser(\\\"{{ admin_user }}\\\", \\\"{{ admin_email }}\\\", \\\"{{ admin_password }}\\\")\
        " \
      && exec waitress-serve --port 8000 seawatch_planner.wsgi:application \
    '
ExecStop=/usr/bin/podman stop \
  --ignore -t 10 \
  --cidfile=%t/%n.ctr-id
ExecStopPost=/usr/bin/podman rm \
  -f \
  --ignore -t 10 \
  --cidfile=%t/%n.ctr-id
Type=notify
NotifyAccess=all

[Install]
WantedBy=default.target

# vim: ft=systemd
